MPD: output/OutputPlugin.hxx File Reference

MPD 0.20.18

Data Structures | Functions
OutputPlugin.hxx File Reference
`#include "Compiler.h"`
`#include <chrono>`
`#include <stddef.h>`
Include dependency graph for OutputPlugin.hxx:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures
struct | AudioOutputPlugin
| A plugin which controls an audio output device. More...

## Functions
static bool | ao_plugin_test_default_device (const AudioOutputPlugin *plugin)
gcc_malloc AudioOutput * | ao_plugin_init (const AudioOutputPlugin *plugin, const ConfigBlock &block)
void | ao_plugin_finish (AudioOutput *ao)
void | ao_plugin_enable (AudioOutput *ao)
void | ao_plugin_disable (AudioOutput *ao)
void | ao_plugin_open (AudioOutput *ao, AudioFormat &audio_format)
void | ao_plugin_close (AudioOutput *ao)
gcc_pure std::chrono::steady_clock::duration | ao_plugin_delay (AudioOutput *ao) noexcept
void | ao_plugin_send_tag (AudioOutput *ao, const Tag &tag)
size_t | ao_plugin_play (AudioOutput *ao, const void *chunk, size_t size)
void | ao_plugin_drain (AudioOutput *ao)
void | ao_plugin_cancel (AudioOutput *ao)
bool | ao_plugin_pause (AudioOutput *ao)

## Function Documentation

## ◆ ao_plugin_cancel()

void ao_plugin_cancel | ( | AudioOutput * | ao | ) |

## ◆ ao_plugin_close()

void ao_plugin_close | ( | AudioOutput * | ao | ) |

## ◆ ao_plugin_delay()

gcc_pure std::chrono::steady_clock::duration ao_plugin_delay | ( | AudioOutput * | ao | ) |
| noexcept

## ◆ ao_plugin_disable()

void ao_plugin_disable | ( | AudioOutput * | ao | ) |

## ◆ ao_plugin_drain()

void ao_plugin_drain | ( | AudioOutput * | ao | ) |

## ◆ ao_plugin_enable()

void ao_plugin_enable | ( | AudioOutput * | ao | ) |

## ◆ ao_plugin_finish()

void ao_plugin_finish | ( | AudioOutput * | ao | ) |

## ◆ ao_plugin_init()

gcc_malloc AudioOutput* ao_plugin_init | ( | const AudioOutputPlugin * | plugin,
|  | const ConfigBlock & | block
| ) |  |

## ◆ ao_plugin_open()

void ao_plugin_open | ( | AudioOutput * | ao,
|  | AudioFormat & | audio_format
| ) |  |

## ◆ ao_plugin_pause()

bool ao_plugin_pause | ( | AudioOutput * | ao | ) |

## ◆ ao_plugin_play()

size_t ao_plugin_play | ( | AudioOutput * | ao,
|  | const void * | chunk,
|  | size_t | size
| ) |  |

## ◆ ao_plugin_send_tag()

void ao_plugin_send_tag | ( | AudioOutput * | ao,
|  | const Tag & | tag
| ) |  |

## ◆ ao_plugin_test_default_device()

static bool ao_plugin_test_default_device | ( | const AudioOutputPlugin * | plugin | ) |
| inlinestatic

Definition at line 156 of file OutputPlugin.hxx.